/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TApplication_h_
#define _TApplication_h_
//---------------------------------------------------------------------
// Автоматически генерируемый файл, содержащий объявления классов Juce
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
class TMainForm; // Класс главного окна
//---------------------------------------------------------------------
class TApplication : public JUCEApplication
{
public:
    TApplication();
    ~TApplication();

    void initialise(const String&);
    void shutdown();
    void systemRequestedQuit();
    const String getApplicationName();
    const String getApplicationVersion();
    bool moreThanOneInstanceAllowed();

private:
    TMainForm* pMainWindow; // Главное окно приложения
};
//---------------------------------------------------------------------
#endif

